[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# GlobalFixupReferences

Called to resolve unresolved references after forms are loaded.

## Declaration

Source position: classesh.inc line 2279

`procedure GlobalFixupReferences;`

## Description

GlobalFixupReferences runs over the list of unresolved references and tries to resolve them. This routine should under normal circumstances not be called in an application programmer's code. It is called automatically by the streaming system after a component has been instantiated and its properties read from a stream. It will attempt to resolve references to other global components.

## See also

GetFixupReferenceNames |  | Returns the names of elements that need to be resolved for the root component.
GetFixupInstanceNames |  | Returns the names of elements that need to be resolved for the root component, whose reference contains ReferenceRootName